package AccessCheck::Data::DB;

use Mojo::Base 'Rose::DB';

__PACKAGE__->use_private_registry;

__PACKAGE__->SUPER::register_db (
    driver => 'mariadb',
);

Rose::DB->max_array_characters(500);

sub register_db {
    my ($pkg, %args) = @_;

    my $options = {
        AutoCommit => 1,
        ChopBlanks => 1,
    };
    if ($args{options}) {
        while (my ($key, $value) = each %{$args{options}}) {
            $options->{$key} = $value;
        }
    }

    __PACKAGE__->SUPER::register_db (
        connect_options => $options,
        driver          => $args{driver},
        host            => $args{host},
        database        => $args{database},
        password        => $args{password},
        username        => $args{username}
    );
}

1;
