#!/usr/bin/perl

use strict;
use warnings;

use English qw(-no_match_vars);
use Test::More;
use UNIVERSAL::require;

plan(skip_all => 'Test::Compile required')
    unless Test::Compile->require();

my $test = Test::Compile->new();

my @pm_files = $test->all_pm_files('lib');
my @pl_files = qw(bin/app bin/update-metadata bin/access-check-manager.pl);

plan tests => scalar @pm_files + scalar @pl_files;
ok(
    $test->pl_file_compiles($_),
    $_
) foreach @pl_files;
ok(
    $test->pm_file_compiles($_),
    $_
) foreach @pm_files;
